Subject: Re: Re: Re: Re: limited network bandwidth with 3.2.x kernels

From: [email-masked]
Date: Tue, 14 Feb 2012 16:09:59 +0200

> Le mardi 14 février 2012 à 01:49 +0200, [email-masked] a
> 
> écrit :
> > В сообщении от Понедельник 13 февраля 2012 23:44:16 вы написали:
> > > Le lundi 13 février 2012 à 21:18 +0100, Eric Dumazet a écrit :
> > > I wonder if the other side of your link believes link is in half duplex
> > > mode... Could you please check ?
> > 
> > I have no access to other side, the only I can check is ethtool and mii-diag (kernel-3.2.3):
> I have seen numerous duplex mismatches in some data centers after a
> reboot. One side believes link is full duplex, the other side believes
> its half duplex.
> 

Was no such problems here.

> You could setup a pktgen/hping3 to send 2.000 small frames per second to
> your gateway and check if you still can download at normal speeds.
> 
> hping3 --udp -s 9 -p 9 -i u500 192.168.1.1

Download speed not changed when running this command for my gw.